import { ODataSelectOrExpandTree } from "./odata-expression-select-tree";
import { BaseODataFilter } from "../../../../../fd-toolbox/odata/filters/base-odata-filter";
import { ODataOrderBy } from "../../../../../fd-toolbox/odata/odataorderby";
export declare function prepareODataSelectOrExpandTree(stringsProp?: string[]): ODataSelectOrExpandTree;
/** @internal */
export declare function parseODataFilter(filters: string): BaseODataFilter<unknown>[];
/** @internal */
export declare function parseExpand(expand: string): string[];
/** @internal */
export declare function parseSorts(orderBys: string): ODataOrderBy[];
/** @internal */
export declare function parseSelects(selects: string): string[];
export declare function trimWithRegex(value: string, trimStart: boolean, ...chars: string[]): string;
export declare function metaSplitFilters(filters: string): string[];
export declare function parseRightSideToArray(rightSide: string): string[];
